BearSSL

Data Fields
br_ssl_session_parameters Struct Reference

Type for session parameters, to be saved for session resumption. More...

`#include <bearssl_ssl.h>`

## Data Fields
unsigned char | session_id [32]
| Session ID buffer. More...
unsigned char | session_id_len
| Session ID length (in bytes, at most 32). More...
uint16_t | version
| Protocol version. More...
uint16_t | cipher_suite
| Cipher suite. More...
unsigned char | master_secret [48]
| Master secret. More...

## Detailed Description

Type for session parameters, to be saved for session resumption.

## Field Documentation

## ◆ cipher_suite

uint16_t br_ssl_session_parameters::cipher_suite

Cipher suite.

## ◆ master_secret

unsigned char br_ssl_session_parameters::master_secret[48]

Master secret.

## ◆ session_id

unsigned char br_ssl_session_parameters::session_id[32]

Session ID buffer.

## ◆ session_id_len

unsigned char br_ssl_session_parameters::session_id_len

Session ID length (in bytes, at most 32).

## ◆ version

uint16_t br_ssl_session_parameters::version

Protocol version.

The documentation for this struct was generated from the following file:

- bearssl_ssl.h